Pular para o conteúdo principal
Delete a Business Representative
curl --request DELETE \
  --url https://api.spherepay.co/v2/business-representative/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.spherepay.co/v2/business-representative/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.spherepay.co/v2/business-representative/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true
}
{
"status": 400,
"detail": "Invalid request parameters",
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 404,
"detail": "Resource not found",
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 422,
"detail": "Validation failed",
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
]
}
Remova um representante empresarial do perfil KYB de um cliente empresarial. Use este endpoint se um representante foi adicionado por engano ou não está mais associado à empresa antes que a submissão do KYB seja finalizada. A exclusão é permanente — você precisará registrar um novo representante se a remoção foi não intencional.
Esta ação é irreversível. Uma vez excluído, o registro do representante e quaisquer documentos enviados associados a ele não podem ser recuperados. Não exclua um representante após o KYB ter sido submetido ou aprovado.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

id
string
obrigatório

Business Representative ID

Minimum string length: 1
Exemplo:

"associatedPerson_d972d2f70b9f4d3c8d7cfb32593f395b"

Resposta

ok
boolean
obrigatório

Indicates whether the deletion was successful

Exemplo:

true

Última modificação em 22 de junho de 2026